### Method

# Ide CompletionListBoxRow set_proposal

#### Declaration

    void
    ide_completion_list_box_row_set_proposal (
      IdeCompletionListBoxRow* self,
      IdeCompletionProposal* proposal
    )

#### Description

Sets the proposal to display in the row.

Available since: | 3.32

Sets property | `Ide.CompletionListBoxRow:proposal`

#### Parameters

`proposal` | `IdeCompletionProposal`
| An `IdeCompletionProposal`.
| The data is owned by the caller of the function.